<?php

namespace App\Entity;

use App\Repository\PieceTrancheRepository;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity(repositoryClass: PieceTrancheRepository::class)]
class PieceTranche
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column]
    private ?int $id = null;

    #[ORM\ManyToOne(inversedBy: 'pieceTranches')]
    #[ORM\JoinColumn(nullable: false)]
    private ?PieceModele $pieceModeleID = null;

    #[ORM\Column(length: 250)]
    private ?string $pieceTranche = null;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getPieceModeleID(): ?PieceModele
    {
        return $this->pieceModeleID;
    }

    public function setPieceModeleID(?PieceModele $pieceModeleID): static
    {
        $this->pieceModeleID = $pieceModeleID;

        return $this;
    }

    public function getPieceTranche(): ?string
    {
        return $this->pieceTranche;
    }

    public function setPieceTranche(string $pieceTranche): static
    {
        $this->pieceTranche = $pieceTranche;

        return $this;
    }
}
